Extract the secret key from a crypto_kx keypair.

- « sodium_crypto_kx_publickey

- sodium_crypto_kx_seed_keypair »

- PHP Manual
- Sodium Functions
- Extract the secret key from a crypto_kx keypair.

# sodium_crypto_kx_secretkey

(PHP 7 >= 7.2.0, PHP 8)

sodium_crypto_kx_secretkey — Extract the secret key from a crypto_kx keypair.

### Description

sodium_crypto_kx_secretkey(string `$key_pair`): string

Extract the secret key from a crypto_kx keypair.

### Parameters

`key_pair`

  X25519 keypair, such as one generated by sodium_crypto_kx_keypair().

### Return Values

X25519 secret key.